// Code generated by counterfeiter. DO NOT EDIT.
package v7fakes

import (
	"sync"

	v7 "code.cloudfoundry.org/cli/command/v7"
	"code.cloudfoundry.org/cli/util/manifestparser"
	"github.com/cloudfoundry/bosh-cli/director/template"
)

type FakeManifestParser struct {
	AppsStub        func(string) ([]manifestparser.Application, error)
	appsMutex       sync.RWMutex
	appsArgsForCall []struct {
		arg1 string
	}
	appsReturns struct {
		result1 []manifestparser.Application
		result2 error
	}
	appsReturnsOnCall map[int]struct {
		result1 []manifestparser.Application
		result2 error
	}
	ContainsManifestStub        func() bool
	containsManifestMutex       sync.RWMutex
	containsManifestArgsForCall []struct {
	}
	containsManifestReturns struct {
		result1 bool
	}
	containsManifestReturnsOnCall map[int]struct {
		result1 bool
	}
	ContainsMultipleAppsStub        func() bool
	containsMultipleAppsMutex       sync.RWMutex
	containsMultipleAppsArgsForCall []struct {
	}
	containsMultipleAppsReturns struct {
		result1 bool
	}
	containsMultipleAppsReturnsOnCall map[int]struct {
		result1 bool
	}
	ContainsPrivateDockerImagesStub        func() bool
	containsPrivateDockerImagesMutex       sync.RWMutex
	containsPrivateDockerImagesArgsForCall []struct {
	}
	containsPrivateDockerImagesReturns struct {
		result1 bool
	}
	containsPrivateDockerImagesReturnsOnCall map[int]struct {
		result1 bool
	}
	FullRawManifestStub        func() []byte
	fullRawManifestMutex       sync.RWMutex
	fullRawManifestArgsForCall []struct {
	}
	fullRawManifestReturns struct {
		result1 []byte
	}
	fullRawManifestReturnsOnCall map[int]struct {
		result1 []byte
	}
	InterpolateAndParseStub        func(string, []string, []template.VarKV) error
	interpolateAndParseMutex       sync.RWMutex
	interpolateAndParseArgsForCall []struct {
		arg1 string
		arg2 []string
		arg3 []template.VarKV
	}
	interpolateAndParseReturns struct {
		result1 error
	}
	interpolateAndParseReturnsOnCall map[int]struct {
		result1 error
	}
	RawAppManifestStub        func(string) ([]byte, error)
	rawAppManifestMutex       sync.RWMutex
	rawAppManifestArgsForCall []struct {
		arg1 string
	}
	rawAppManifestReturns struct {
		result1 []byte
		result2 error
	}
	rawAppManifestReturnsOnCall map[int]struct {
		result1 []byte
		result2 error
	}
	invocations      map[string][][]interface{}
	invocationsMutex sync.RWMutex
}

func (fake *FakeManifestParser) Apps(arg1 string) ([]manifestparser.Application, error) {
	fake.appsMutex.Lock()
	ret, specificReturn := fake.appsReturnsOnCall[len(fake.appsArgsForCall)]
	fake.appsArgsForCall = append(fake.appsArgsForCall, struct {
		arg1 string
	}{arg1})
	fake.recordInvocation("Apps", []interface{}{arg1})
	fake.appsMutex.Unlock()
	if fake.AppsStub != nil {
		return fake.AppsStub(arg1)
	}
	if specificReturn {
		return ret.result1, ret.result2
	}
	fakeReturns := fake.appsReturns
	return fakeReturns.result1, fakeReturns.result2
}

func (fake *FakeManifestParser) AppsCallCount() int {
	fake.appsMutex.RLock()
	defer fake.appsMutex.RUnlock()
	return len(fake.appsArgsForCall)
}

func (fake *FakeManifestParser) AppsCalls(stub func(string) ([]manifestparser.Application, error)) {
	fake.appsMutex.Lock()
	defer fake.appsMutex.Unlock()
	fake.AppsStub = stub
}

func (fake *FakeManifestParser) AppsArgsForCall(i int) string {
	fake.appsMutex.RLock()
	defer fake.appsMutex.RUnlock()
	argsForCall := fake.appsArgsForCall[i]
	return argsForCall.arg1
}

func (fake *FakeManifestParser) AppsReturns(result1 []manifestparser.Application, result2 error) {
	fake.appsMutex.Lock()
	defer fake.appsMutex.Unlock()
	fake.AppsStub = nil
	fake.appsReturns = struct {
		result1 []manifestparser.Application
		result2 error
	}{result1, result2}
}

func (fake *FakeManifestParser) AppsReturnsOnCall(i int, result1 []manifestparser.Application, result2 error) {
	fake.appsMutex.Lock()
	defer fake.appsMutex.Unlock()
	fake.AppsStub = nil
	if fake.appsReturnsOnCall == nil {
		fake.appsReturnsOnCall = make(map[int]struct {
			result1 []manifestparser.Application
			result2 error
		})
	}
	fake.appsReturnsOnCall[i] = struct {
		result1 []manifestparser.Application
		result2 error
	}{result1, result2}
}

func (fake *FakeManifestParser) ContainsManifest() bool {
	fake.containsManifestMutex.Lock()
	ret, specificReturn := fake.containsManifestReturnsOnCall[len(fake.containsManifestArgsForCall)]
	fake.containsManifestArgsForCall = append(fake.containsManifestArgsForCall, struct {
	}{})
	fake.recordInvocation("ContainsManifest", []interface{}{})
	fake.containsManifestMutex.Unlock()
	if fake.ContainsManifestStub != nil {
		return fake.ContainsManifestStub()
	}
	if specificReturn {
		return ret.result1
	}
	fakeReturns := fake.containsManifestReturns
	return fakeReturns.result1
}

func (fake *FakeManifestParser) ContainsManifestCallCount() int {
	fake.containsManifestMutex.RLock()
	defer fake.containsManifestMutex.RUnlock()
	return len(fake.containsManifestArgsForCall)
}

func (fake *FakeManifestParser) ContainsManifestCalls(stub func() bool) {
	fake.containsManifestMutex.Lock()
	defer fake.containsManifestMutex.Unlock()
	fake.ContainsManifestStub = stub
}

func (fake *FakeManifestParser) ContainsManifestReturns(result1 bool) {
	fake.containsManifestMutex.Lock()
	defer fake.containsManifestMutex.Unlock()
	fake.ContainsManifestStub = nil
	fake.containsManifestReturns = struct {
		result1 bool
	}{result1}
}

func (fake *FakeManifestParser) ContainsManifestReturnsOnCall(i int, result1 bool) {
	fake.containsManifestMutex.Lock()
	defer fake.containsManifestMutex.Unlock()
	fake.ContainsManifestStub = nil
	if fake.containsManifestReturnsOnCall == nil {
		fake.containsManifestReturnsOnCall = make(map[int]struct {
			result1 bool
		})
	}
	fake.containsManifestReturnsOnCall[i] = struct {
		result1 bool
	}{result1}
}

func (fake *FakeManifestParser) ContainsMultipleApps() bool {
	fake.containsMultipleAppsMutex.Lock()
	ret, specificReturn := fake.containsMultipleAppsReturnsOnCall[len(fake.containsMultipleAppsArgsForCall)]
	fake.containsMultipleAppsArgsForCall = append(fake.containsMultipleAppsArgsForCall, struct {
	}{})
	fake.recordInvocation("ContainsMultipleApps", []interface{}{})
	fake.containsMultipleAppsMutex.Unlock()
	if fake.ContainsMultipleAppsStub != nil {
		return fake.ContainsMultipleAppsStub()
	}
	if specificReturn {
		return ret.result1
	}
	fakeReturns := fake.containsMultipleAppsReturns
	return fakeReturns.result1
}

func (fake *FakeManifestParser) ContainsMultipleAppsCallCount() int {
	fake.containsMultipleAppsMutex.RLock()
	defer fake.containsMultipleAppsMutex.RUnlock()
	return len(fake.containsMultipleAppsArgsForCall)
}

func (fake *FakeManifestParser) ContainsMultipleAppsCalls(stub func() bool) {
	fake.containsMultipleAppsMutex.Lock()
	defer fake.containsMultipleAppsMutex.Unlock()
	fake.ContainsMultipleAppsStub = stub
}

func (fake *FakeManifestParser) ContainsMultipleAppsReturns(result1 bool) {
	fake.containsMultipleAppsMutex.Lock()
	defer fake.containsMultipleAppsMutex.Unlock()
	fake.ContainsMultipleAppsStub = nil
	fake.containsMultipleAppsReturns = struct {
		result1 bool
	}{result1}
}

func (fake *FakeManifestParser) ContainsMultipleAppsReturnsOnCall(i int, result1 bool) {
	fake.containsMultipleAppsMutex.Lock()
	defer fake.containsMultipleAppsMutex.Unlock()
	fake.ContainsMultipleAppsStub = nil
	if fake.containsMultipleAppsReturnsOnCall == nil {
		fake.containsMultipleAppsReturnsOnCall = make(map[int]struct {
			result1 bool
		})
	}
	fake.containsMultipleAppsReturnsOnCall[i] = struct {
		result1 bool
	}{result1}
}

func (fake *FakeManifestParser) ContainsPrivateDockerImages() bool {
	fake.containsPrivateDockerImagesMutex.Lock()
	ret, specificReturn := fake.containsPrivateDockerImagesReturnsOnCall[len(fake.containsPrivateDockerImagesArgsForCall)]
	fake.containsPrivateDockerImagesArgsForCall = append(fake.containsPrivateDockerImagesArgsForCall, struct {
	}{})
	fake.recordInvocation("ContainsPrivateDockerImages", []interface{}{})
	fake.containsPrivateDockerImagesMutex.Unlock()
	if fake.ContainsPrivateDockerImagesStub != nil {
		return fake.ContainsPrivateDockerImagesStub()
	}
	if specificReturn {
		return ret.result1
	}
	fakeReturns := fake.containsPrivateDockerImagesReturns
	return fakeReturns.result1
}

func (fake *FakeManifestParser) ContainsPrivateDockerImagesCallCount() int {
	fake.containsPrivateDockerImagesMutex.RLock()
	defer fake.containsPrivateDockerImagesMutex.RUnlock()
	return len(fake.containsPrivateDockerImagesArgsForCall)
}

func (fake *FakeManifestParser) ContainsPrivateDockerImagesCalls(stub func() bool) {
	fake.containsPrivateDockerImagesMutex.Lock()
	defer fake.containsPrivateDockerImagesMutex.Unlock()
	fake.ContainsPrivateDockerImagesStub = stub
}

func (fake *FakeManifestParser) ContainsPrivateDockerImagesReturns(result1 bool) {
	fake.containsPrivateDockerImagesMutex.Lock()
	defer fake.containsPrivateDockerImagesMutex.Unlock()
	fake.ContainsPrivateDockerImagesStub = nil
	fake.containsPrivateDockerImagesReturns = struct {
		result1 bool
	}{result1}
}

func (fake *FakeManifestParser) ContainsPrivateDockerImagesReturnsOnCall(i int, result1 bool) {
	fake.containsPrivateDockerImagesMutex.Lock()
	defer fake.containsPrivateDockerImagesMutex.Unlock()
	fake.ContainsPrivateDockerImagesStub = nil
	if fake.containsPrivateDockerImagesReturnsOnCall == nil {
		fake.containsPrivateDockerImagesReturnsOnCall = make(map[int]struct {
			result1 bool
		})
	}
	fake.containsPrivateDockerImagesReturnsOnCall[i] = struct {
		result1 bool
	}{result1}
}

func (fake *FakeManifestParser) FullRawManifest() []byte {
	fake.fullRawManifestMutex.Lock()
	ret, specificReturn := fake.fullRawManifestReturnsOnCall[len(fake.fullRawManifestArgsForCall)]
	fake.fullRawManifestArgsForCall = append(fake.fullRawManifestArgsForCall, struct {
	}{})
	fake.recordInvocation("FullRawManifest", []interface{}{})
	fake.fullRawManifestMutex.Unlock()
	if fake.FullRawManifestStub != nil {
		return fake.FullRawManifestStub()
	}
	if specificReturn {
		return ret.result1
	}
	fakeReturns := fake.fullRawManifestReturns
	return fakeReturns.result1
}

func (fake *FakeManifestParser) FullRawManifestCallCount() int {
	fake.fullRawManifestMutex.RLock()
	defer fake.fullRawManifestMutex.RUnlock()
	return len(fake.fullRawManifestArgsForCall)
}

func (fake *FakeManifestParser) FullRawManifestCalls(stub func() []byte) {
	fake.fullRawManifestMutex.Lock()
	defer fake.fullRawManifestMutex.Unlock()
	fake.FullRawManifestStub = stub
}

func (fake *FakeManifestParser) FullRawManifestReturns(result1 []byte) {
	fake.fullRawManifestMutex.Lock()
	defer fake.fullRawManifestMutex.Unlock()
	fake.FullRawManifestStub = nil
	fake.fullRawManifestReturns = struct {
		result1 []byte
	}{result1}
}

func (fake *FakeManifestParser) FullRawManifestReturnsOnCall(i int, result1 []byte) {
	fake.fullRawManifestMutex.Lock()
	defer fake.fullRawManifestMutex.Unlock()
	fake.FullRawManifestStub = nil
	if fake.fullRawManifestReturnsOnCall == nil {
		fake.fullRawManifestReturnsOnCall = make(map[int]struct {
			result1 []byte
		})
	}
	fake.fullRawManifestReturnsOnCall[i] = struct {
		result1 []byte
	}{result1}
}

func (fake *FakeManifestParser) InterpolateAndParse(arg1 string, arg2 []string, arg3 []template.VarKV) error {
	var arg2Copy []string
	if arg2 != nil {
		arg2Copy = make([]string, len(arg2))
		copy(arg2Copy, arg2)
	}
	var arg3Copy []template.VarKV
	if arg3 != nil {
		arg3Copy = make([]template.VarKV, len(arg3))
		copy(arg3Copy, arg3)
	}
	fake.interpolateAndParseMutex.Lock()
	ret, specificReturn := fake.interpolateAndParseReturnsOnCall[len(fake.interpolateAndParseArgsForCall)]
	fake.interpolateAndParseArgsForCall = append(fake.interpolateAndParseArgsForCall, struct {
		arg1 string
		arg2 []string
		arg3 []template.VarKV
	}{arg1, arg2Copy, arg3Copy})
	fake.recordInvocation("InterpolateAndParse", []interface{}{arg1, arg2Copy, arg3Copy})
	fake.interpolateAndParseMutex.Unlock()
	if fake.InterpolateAndParseStub != nil {
		return fake.InterpolateAndParseStub(arg1, arg2, arg3)
	}
	if specificReturn {
		return ret.result1
	}
	fakeReturns := fake.interpolateAndParseReturns
	return fakeReturns.result1
}

func (fake *FakeManifestParser) InterpolateAndParseCallCount() int {
	fake.interpolateAndParseMutex.RLock()
	defer fake.interpolateAndParseMutex.RUnlock()
	return len(fake.interpolateAndParseArgsForCall)
}

func (fake *FakeManifestParser) InterpolateAndParseCalls(stub func(string, []string, []template.VarKV) error) {
	fake.interpolateAndParseMutex.Lock()
	defer fake.interpolateAndParseMutex.Unlock()
	fake.InterpolateAndParseStub = stub
}

func (fake *FakeManifestParser) InterpolateAndParseArgsForCall(i int) (string, []string, []template.VarKV) {
	fake.interpolateAndParseMutex.RLock()
	defer fake.interpolateAndParseMutex.RUnlock()
	argsForCall := fake.interpolateAndParseArgsForCall[i]
	return argsForCall.arg1, argsForCall.arg2, argsForCall.arg3
}

func (fake *FakeManifestParser) InterpolateAndParseReturns(result1 error) {
	fake.interpolateAndParseMutex.Lock()
	defer fake.interpolateAndParseMutex.Unlock()
	fake.InterpolateAndParseStub = nil
	fake.interpolateAndParseReturns = struct {
		result1 error
	}{result1}
}

func (fake *FakeManifestParser) InterpolateAndParseReturnsOnCall(i int, result1 error) {
	fake.interpolateAndParseMutex.Lock()
	defer fake.interpolateAndParseMutex.Unlock()
	fake.InterpolateAndParseStub = nil
	if fake.interpolateAndParseReturnsOnCall == nil {
		fake.interpolateAndParseReturnsOnCall = make(map[int]struct {
			result1 error
		})
	}
	fake.interpolateAndParseReturnsOnCall[i] = struct {
		result1 error
	}{result1}
}

func (fake *FakeManifestParser) RawAppManifest(arg1 string) ([]byte, error) {
	fake.rawAppManifestMutex.Lock()
	ret, specificReturn := fake.rawAppManifestReturnsOnCall[len(fake.rawAppManifestArgsForCall)]
	fake.rawAppManifestArgsForCall = append(fake.rawAppManifestArgsForCall, struct {
		arg1 string
	}{arg1})
	fake.recordInvocation("RawAppManifest", []interface{}{arg1})
	fake.rawAppManifestMutex.Unlock()
	if fake.RawAppManifestStub != nil {
		return fake.RawAppManifestStub(arg1)
	}
	if specificReturn {
		return ret.result1, ret.result2
	}
	fakeReturns := fake.rawAppManifestReturns
	return fakeReturns.result1, fakeReturns.result2
}

func (fake *FakeManifestParser) RawAppManifestCallCount() int {
	fake.rawAppManifestMutex.RLock()
	defer fake.rawAppManifestMutex.RUnlock()
	return len(fake.rawAppManifestArgsForCall)
}

func (fake *FakeManifestParser) RawAppManifestCalls(stub func(string) ([]byte, error)) {
	fake.rawAppManifestMutex.Lock()
	defer fake.rawAppManifestMutex.Unlock()
	fake.RawAppManifestStub = stub
}

func (fake *FakeManifestParser) RawAppManifestArgsForCall(i int) string {
	fake.rawAppManifestMutex.RLock()
	defer fake.rawAppManifestMutex.RUnlock()
	argsForCall := fake.rawAppManifestArgsForCall[i]
	return argsForCall.arg1
}

func (fake *FakeManifestParser) RawAppManifestReturns(result1 []byte, result2 error) {
	fake.rawAppManifestMutex.Lock()
	defer fake.rawAppManifestMutex.Unlock()
	fake.RawAppManifestStub = nil
	fake.rawAppManifestReturns = struct {
		result1 []byte
		result2 error
	}{result1, result2}
}

func (fake *FakeManifestParser) RawAppManifestReturnsOnCall(i int, result1 []byte, result2 error) {
	fake.rawAppManifestMutex.Lock()
	defer fake.rawAppManifestMutex.Unlock()
	fake.RawAppManifestStub = nil
	if fake.rawAppManifestReturnsOnCall == nil {
		fake.rawAppManifestReturnsOnCall = make(map[int]struct {
			result1 []byte
			result2 error
		})
	}
	fake.rawAppManifestReturnsOnCall[i] = struct {
		result1 []byte
		result2 error
	}{result1, result2}
}

func (fake *FakeManifestParser) Invocations() map[string][][]interface{} {
	fake.invocationsMutex.RLock()
	defer fake.invocationsMutex.RUnlock()
	fake.appsMutex.RLock()
	defer fake.appsMutex.RUnlock()
	fake.containsManifestMutex.RLock()
	defer fake.containsManifestMutex.RUnlock()
	fake.containsMultipleAppsMutex.RLock()
	defer fake.containsMultipleAppsMutex.RUnlock()
	fake.containsPrivateDockerImagesMutex.RLock()
	defer fake.containsPrivateDockerImagesMutex.RUnlock()
	fake.fullRawManifestMutex.RLock()
	defer fake.fullRawManifestMutex.RUnlock()
	fake.interpolateAndParseMutex.RLock()
	defer fake.interpolateAndParseMutex.RUnlock()
	fake.rawAppManifestMutex.RLock()
	defer fake.rawAppManifestMutex.RUnlock()
	copiedInvocations := map[string][][]interface{}{}
	for key, value := range fake.invocations {
		copiedInvocations[key] = value
	}
	return copiedInvocations
}

func (fake *FakeManifestParser) recordInvocation(key string, args []interface{}) {
	fake.invocationsMutex.Lock()
	defer fake.invocationsMutex.Unlock()
	if fake.invocations == nil {
		fake.invocations = map[string][][]interface{}{}
	}
	if fake.invocations[key] == nil {
		fake.invocations[key] = [][]interface{}{}
	}
	fake.invocations[key] = append(fake.invocations[key], args)
}

var _ v7.ManifestParser = new(FakeManifestParser)
